aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-support/libee/libee/ezapi1.sh
diff options
context:
space:
mode:
authorRoy Li <rongqing.li@windriver.com>2014-07-15 17:17:29 +0800
committerMartin Jansa <Martin.Jansa@gmail.com>2014-07-22 00:01:48 +0200
commit568f5a5db20aa489d832f22d962ad6583f0b063c (patch)
tree0df939ae7701af14009675bbde30583d989d7cd6 /meta-oe/recipes-support/libee/libee/ezapi1.sh
parentcd63a38d0ac5daabdbf12ba13c20b492b37ac70e (diff)
downloadmeta-openembedded-contrib-568f5a5db20aa489d832f22d962ad6583f0b063c.tar.gz
libee: add recipe
The core idea of libee is to provide a small but hopefully convenient API layer above the CEE standard. Signed-off-by: Roy Li <rongqing.li@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'meta-oe/recipes-support/libee/libee/ezapi1.sh')
-rwxr-xr-xmeta-oe/recipes-support/libee/libee/ezapi1.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/meta-oe/recipes-support/libee/libee/ezapi1.sh b/meta-oe/recipes-support/libee/libee/ezapi1.sh
new file mode 100755
index 0000000000..e9db5e614b
--- /dev/null
+++ b/meta-oe/recipes-support/libee/libee/ezapi1.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+echo ---------------------------------------------------------------------------
+echo A very basic test for the event class
+echo ---------------------------------------------------------------------------
+rm -f infile
+./genfile 100 > infile
+./ezapi1 -iinfile
+if [ $? -ne 0 ] ; then
+ echo "FAIL: $0"
+ exit 1
+fi
+echo "PASS: $0"
+rm -f infile